Subject: RE: Printer Status - Web Server versus MIB (was: RE: PMP> New MFP Alert Groups Specification Available)

From: "McDonald, Ira" <[email-masked]>
Date: Tue, 21 Nov 2006 10:01:14 -0800

Hi Paul,

Typically, the embedded web server HTTP interface and the
SNMP interface on network printers were developed by two
different software teams, often at two different software
vendors.

Coherence across management interfaces gets lots of lip
service from marketing types, but not much priority.

Unless or until open web services interfaces are widely
implemented on network printers, I doubt vendors will do 
much to improve this situation.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked]

-----Original Message-----
From: Paul Tykodi [mailto:[email-masked]]
Sent: Saturday, November 18, 2006 9:43 PM
To: McDonald, Ira
Cc: 'Stuart Rowley'; 'Bergman, Ron'; [email-masked]; [email-masked]
Subject: Printer Status - Web Server versus MIB (was: RE: PMP> New MFP
Alert Groups Specification Available)

Hi Ira,

I think you might be interested in the e-mail exchange appended below
because it brings up the question (maybe an extension of the point made by
Chris Story of Ricoh at the just concluded PWG F2F) of how reliable the
proposed CIM and MFP Alert mechanisms will really be in the field when as
mentioned in the attached e-mail discussion it is possible for a printer to
issue different informative responses, for the SAME printer condition,
depending upon whether an application has queried it via its internal web
browser or its MIB.

>From: [email-masked] [mailto:[email-masked]] 
>Sent: Thursday, October 05, 2006 12:54 PM
>To: [email-masked]
>Cc: [email-masked]
>Subject: Re: [Printing-user-lexmark] Lexmark T634 embedded web server
>
>Paul. 
>
>Thanks for the information.  As it turns out, the printer's SNMP agent is
>returning different values for the appropriate MIBs than the values
>displayed by the embedded web server, so using SNMP queries seems to have
>limited value at this stage. 
>
>i.e.  For instance, the toner level is being read as -2 (unknown) and the
>maintenance kit level is being read as -3 (some left!) while the web page
>displays as percentages - much more useful when attempting to schedule
>maintenance. 
>
>It's quite possible that I'm not using the SMNP tool correctly, but it
>seems very straightfoward. 
>
>>"Paul Tykodi" <[email-masked]> 
>>Sent by: [email-masked] 
>>10/04/2006 06:59 PM 
>>Please respond to
>>[email-masked]  To <[email-masked]>  cc
>>Subject Re: [Printing-user-lexmark] Lexmark T634 embedded web server 
>>   
>>
>>Hi Jason, 
>>  
>>The data sheet for the network interface card claims that it offers an
>>industry standard MIB, which you can query via SNMP. I would imagine that
>>most all of the characteristics shown by the embedded web server can
>>therefore be queried via SNMP as well. 
>>  
>>HTH 
>>  
>>Best Regards, 
>>  
>>/Paul 
>>-- 
>>Paul Tykodi
>>Principal Consultant
>>TCS - Tykodi Consulting Services LLC
>>
>>Tel/Fax: 603-343-1820
>>Mobile:  603-866-0712
>>E-mail:  [email-masked]
>>WWW:  http://www.tykodi.com 
>>
>>________________________________________
>>>
>>>From: [email-masked]
>>>[mailto:[email-masked]] On Behalf
>>>Of [email-masked]
>>>Sent: Wednesday, October 04, 2006 8:12 PM
>>>To: [email-masked]
>>>Subject: [Printing-user-lexmark] Lexmark T634 embedded web server 
>>>  
>>>
>>>I'm trying to develop an dashboard application that shows information
>>>from a number of printers simultaneously. 
>>>
>>>The Lexmark T634 has an embedded web server that has various pages, some
>>>of which show the information that I'm interested in, as well as a Java
>>>Applet that while useful, does not show everything that I'd like to see. 
>>>
>>>Does anyone have any pointers to a reference for the embedded web servers
>>>that lexmark uses, or barring that perhaps alternate methods for querying
>>>the printer?
>>>_________________________________________

HTH

Best Regards,

/Paul
--
Paul Tykodi
Principal Consultant
TCS - Tykodi Consulting Services LLC

Tel/Fax: 603-343-1820
Mobile:  603-866-0712
E-mail:  [email-masked]
WWW:     http://www.tykodi.com

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of McDonald,
> Ira
> Sent: Saturday, November 18, 2006 12:52 PM
> To: 'Stuart Rowley'; Bergman, Ron; [email-masked]
> Subject: RE: PMP> New MFP Alert Groups Specification Available
> 
> Hi Stuart,
> 
> With your example range (4) below (affects scan and fax,
> but not print) you have neatly shown why I think that the
> ranges are no help.  When you add a document transform
> function, an email function, an instant messaging function,
> etc., these combination ranges become impractical.
> 
> We are overloading right-most subunit index to specify
> function (loosely 'imaging device').
> 
> But the ambiguity goes away when there's an XML Schema
> or a MIB or whatever that _does_ expose associations of
> device and service with subordinate subunits - because the
> one-to-many from subunit "up" is explicit.  That's what
> the current WIMS/SM Service and Device objects and my
> several drafts of an Imaging System MIB do.
> 
> I suggest we replace this appendix with a "Rationale for
> Design Alternatives" appendix (as in IPP PSX spec) and
> explain why ranges of subunit indices is impractical
> and not extensible.
> 
> Cheers,
> - Ira
> 
> Ira McDonald (Musician / Software Architect)
> Blue Roof Music / High North Inc
> PO Box 221  Grand Marais, MI  49839
> phone: +1-906-494-2434
> email: [email-masked]
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of Stuart
> Rowley
> Sent: Friday, November 17, 2006 3:27 PM
> To: Bergman, Ron; [email-masked]
> Subject: RE: PMP> New MFP Alert Groups Specification Available
> 
> 
> Ron,
> 
> Thanks for posting the changes so quickly.
> 
> I am still a little concerned that the case of a subunit used by multiple
> functions is not clear. We discussed the subunits that use the print
> function and the fax function as being in the print function index range,
> but what about the example of a cover open which means the scan function
> is
> out and the (outbound) fax function is out, but the print function is
> unaffected? What range would an implementation use in this case?
> 
> Maybe we need 4 ranges:
> 1: affects print function alone or in combination with other functions
> (does
> not break current implementations)
> 2: affects scan function exclusively
> 3: affects fax function exclusively
> 4: affects scan and fax function
> 
> Thanks,
> 
> Stuart
> 
> Stuart Rowley
> Network Product Mgr.
> Kyocera Technology Development
> 1855 Gateway Blvd. #400
> Concord, CA 94520
> [email-masked]
> V: 925.849.3306
> F: 925.849.3399
> 
> 
> 
> 
> 
> 
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Bergman,
> Ron
> Sent: Friday, November 17, 2006 11:10 AM
> To: [email-masked]
> Subject: PMP> New MFP Alert Groups Specification Available
> 
> The latest MFP Alerts Specification is now available at:
> 
>     ftp://ftp.pwg.org/pub/pwg/pmp/wd/wd-mfp-alert-groups10-20061117.doc
>     ftp://ftp.pwg.org/pub/pwg/pmp/wd/wd-mfp-alert-groups10-20061117.pdf
>     ftp://ftp.pwg.org/pub/pwg/pmp/wd/wd-mfp-alert-groups10-20061117-
> rev.pdf
> 
> This document contains the changes discussed in last Wednesday's
> teleconference.
> 
> 
>     Ron Bergman
>     Chairman, PWG PMP Work Group
> 
> 
> --
> No virus found in this outgoing message.
> Checked by AVG Free Edition.
> Version: 7.1.409 / Virus Database: 268.14.7/537 - Release Date: 11/17/2006
> 

-- 
No virus found in this outgoing message.
Checked by AVG Free Edition.
Version: 7.1.409 / Virus Database: 268.14.8/539 - Release Date: 11/19/2006